## org.eclipse.emf.validation.marker
Interface IMarkerConfigurator

    public interface IMarkerConfigurator

A special configurator that will populate a marker that is a subtype of validationProblem with subtype specific attributes.

See Also:
  `IMarker`, `IConstraintStatus`

Method Summary
`void` `appendMarkerConfiguration(IMarker marker, IConstraintStatus status)` Appends to the marker configuration with marker subtype specific information.

Method Detail

### appendMarkerConfiguration

    void appendMarkerConfiguration(IMarker marker,
                                   IConstraintStatus status)
                                   throws CoreException

  Appends to the marker configuration with marker subtype specific information. The marker will already have been populated with validationProblem information by the time that this call is made.

  Parameters:
    `marker` - A validationProblem subType marker.
    `status` - A validation constraint status of a validation warning or failure.
  Throws:
    `CoreException` - A core exception is thrown if there were any problems working with the marker.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.